Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.math.ec.custom.sec
Class SecP128R1FieldElement

    java.lang.Object
      org.bouncycastle.math.ec.ECFieldElement
          org.bouncycastle.math.ec.ECFieldElement.AbstractFp
              org.bouncycastle.math.ec.custom.sec.SecP128R1FieldElement

All Implemented Interfaces:
  ECConstants

public class SecP128R1FieldElement
extends ECFieldElement.AbstractFp

Nested Class Summary

Nested classes inherited from class org.bouncycastle.math.ec.ECFieldElement
`ECFieldElement.AbstractF2m, ECFieldElement.AbstractFp, ECFieldElement.F2m, ECFieldElement.Fp`

Field Summary
`static java.math.BigInteger` | `Q`
`protected int[]` | `x`

Fields inherited from interface org.bouncycastle.math.ec.ECConstants
`EIGHT, FOUR, ONE, THREE, TWO, ZERO`

Constructor Summary
`` | `SecP128R1FieldElement()`
`` | `SecP128R1FieldElement(java.math.BigInteger x)`
`protected` | `SecP128R1FieldElement(int[] x)`

Method Summary
`ECFieldElement` | `add(ECFieldElement b)`
`ECFieldElement` | `addOne()`
`ECFieldElement` | `divide(ECFieldElement b)`
`void` | `encodeTo(byte[] buf, int off)`
`boolean` | `equals(java.lang.Object other)`
`int` | `getEncodedLength()`
`java.lang.String` | `getFieldName()`
`int` | `getFieldSize()`
`int` | `hashCode()`
`ECFieldElement` | `invert()`
`boolean` | `isOne()`
`boolean` | `isZero()`
`ECFieldElement` | `multiply(ECFieldElement b)`
`ECFieldElement` | `negate()`
`ECFieldElement` | `sqrt()` return a sqrt root - the routine verifies that the calculation returns the right value - if none exists it returns null.
`ECFieldElement` | `square()`
`ECFieldElement` | `subtract(ECFieldElement b)`
`boolean` | `testBitZero()`
`java.math.BigInteger` | `toBigInteger()`

Methods inherited from class org.bouncycastle.math.ec.ECFieldElement
`bitLength, getEncoded, multiplyMinusProduct, multiplyPlusProduct, squareMinusProduct, squarePlusProduct, squarePow, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Q

    public static final java.math.BigInteger Q

### x

    protected int[] x

Constructor Detail

### SecP128R1FieldElement

    public SecP128R1FieldElement(java.math.BigInteger x)

### SecP128R1FieldElement

    public SecP128R1FieldElement()

### SecP128R1FieldElement

    protected SecP128R1FieldElement(int[] x)

Method Detail

### isZero

    public boolean isZero()

  Overrides:
    `isZero` in class `ECFieldElement`

### isOne

    public boolean isOne()

  Overrides:
    `isOne` in class `ECFieldElement`

### testBitZero

    public boolean testBitZero()

  Overrides:
    `testBitZero` in class `ECFieldElement`

### toBigInteger

    public java.math.BigInteger toBigInteger()

  Specified by:
    `toBigInteger` in class `ECFieldElement`

### encodeTo

    public void encodeTo(byte[] buf,
                         int off)

  Overrides:
    `encodeTo` in class `ECFieldElement`

### getEncodedLength

    public int getEncodedLength()

  Overrides:
    `getEncodedLength` in class `ECFieldElement`

### getFieldName

    public java.lang.String getFieldName()

  Specified by:
    `getFieldName` in class `ECFieldElement`

### getFieldSize

    public int getFieldSize()

  Specified by:
    `getFieldSize` in class `ECFieldElement`

### add

    public ECFieldElement add(ECFieldElement b)

  Specified by:
    `add` in class `ECFieldElement`

### addOne

    public ECFieldElement addOne()

  Specified by:
    `addOne` in class `ECFieldElement`

### subtract

    public ECFieldElement subtract(ECFieldElement b)

  Specified by:
    `subtract` in class `ECFieldElement`

### multiply

    public ECFieldElement multiply(ECFieldElement b)

  Specified by:
    `multiply` in class `ECFieldElement`

### divide

    public ECFieldElement divide(ECFieldElement b)

  Specified by:
    `divide` in class `ECFieldElement`

### negate

    public ECFieldElement negate()

  Specified by:
    `negate` in class `ECFieldElement`

### square

    public ECFieldElement square()

  Specified by:
    `square` in class `ECFieldElement`

### invert

    public ECFieldElement invert()

  Specified by:
    `invert` in class `ECFieldElement`

### sqrt

    public ECFieldElement sqrt()

  return a sqrt root - the routine verifies that the calculation returns the right value - if none exists it returns null.

  Specified by:
    `sqrt` in class `ECFieldElement`

### equals

    public boolean equals(java.lang.Object other)

### hashCode

    public int hashCode()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD